org.keycloak.representations.idm

## Class ApplicationRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientRepresentation
  - - org.keycloak.representations.idm.ApplicationRepresentation

- Direct Known Subclasses:
    OAuthClientRepresentation

  Deprecated.

      @Deprecated
      public class ApplicationRepresentation
      extends ClientRepresentation

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClaimRepresentation` | `claims` Deprecated.
    `protected String` | `name` Deprecated.

    - ### Fields inherited from class org.keycloak.representations.idm.ClientRepresentation

      `adminUrl, attributes, authorizationServicesEnabled, baseUrl, bearerOnly, clientAuthenticatorType, clientId, clientTemplate, consentRequired, defaultRoles, description, directAccessGrantsEnabled, directGrantsOnly, enabled, frontchannelLogout, fullScopeAllowed, id, implicitFlowEnabled, nodeReRegistrationTimeout, notBefore, protocol, protocolMappers, publicClient, redirectUris, registeredNodes, registrationAccessToken, rootUrl, secret, serviceAccountsEnabled, standardFlowEnabled, surrogateAuthRequired, webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationRepresentation()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClaimRepresentation` | `getClaims()` Deprecated.
    `String` | `getName()` Deprecated.
    `void` | `setClaims(ClaimRepresentation claims)` Deprecated.
    `void` | `setName(String name)` Deprecated.

    - ### Methods inherited from class org.keycloak.representations.idm.ClientRepresentation

      `getAdminUrl, getAttributes, getAuthorizationServicesEnabled, getBaseUrl, getClientAuthenticatorType, getClientId, getClientTemplate, getDefaultRoles, getDescription, getId, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getProtocolMappers, getRedirectUris, getRegisteredNodes, getRegistrationAccessToken, getRootUrl, getSecret, getWebOrigins, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isDirectGrantsOnly, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, isUseTemplateConfig, isUseTemplateMappers, isUseTemplateScope, setAdminUrl, setAttributes, setAuthorizationServicesEnabled, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setClientTemplate, setConsentRequired, setDefaultRoles, setDescription, setDirectAccessGrantsEnabled, setDirectGrantsOnly, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setId, setImplicitFlowEnabled, setNodeReRegistrationTimeout, setNotBefore, setProtocol, setProtocolMappers, setPublicClient, setRedirectUris, setRegisteredNodes, setRegistrationAccessToken, setRootUrl, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setUseTemplateConfig, setUseTemplateMappers, setUseTemplateScope, setWebOrigins`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      Deprecated.

    - #### claims

          @Deprecated
          protected ClaimRepresentation claims

      Deprecated.

  - ### Constructor Detail

    - #### ApplicationRepresentation

          public ApplicationRepresentation()

      Deprecated.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Overrides:
        `getName` in class `ClientRepresentation`

    - #### setName

          public void setName(String name)

      Deprecated.
      Overrides:
        `setName` in class `ClientRepresentation`

    - #### getClaims

          public ClaimRepresentation getClaims()

      Deprecated.

    - #### setClaims

          public void setClaims(ClaimRepresentation claims)

      Deprecated.

Copyright © 2016 JBoss by Red Hat. All rights reserved.